/*
  latin1.c.  Produce a table of ISO Latin Alphabet 1.
  F. da Cruz, Columbia University, 1996.
*/
char *name[] = {
    "NO-BREAK SPACE",
    "INVERTED EXCLAMATION MARK",
    "CENT SIGN",
    "POUND SIGN",
    "CURRENCY SIGN",
    "YEN SIGN",
    "BROKEN BAR",
    "PARAGRAPH SIGN",
    "DIAERESIS",
    "COPYRIGHT SIGN",
    "FEMININE ORDINAL INDICATOR",
    "LEFT ANGLE QUOTATION MARK",
    "NOT SIGN",
    "SOFT HYPHEN",
    "REGISTERED TRADE MARK SIGN",
    "MACRON",
    "DEGREE SIGN, RING ABOVE",
    "PLUS-MINUS SIGN",
    "SUPERSCRIPT TWO",
    "SUPERSCRIPT THREE",
    "ACUTE ACCENT",
    "MICRO SIGN",
    "PILCROW SIGN",
    "MIDDLE DOT",
    "CEDILLA",
    "SUPERSCRIPT ONE",
    "MASCULINE ORDINAL INDICATOR",
    "RIGHT ANGLE QUOTATION MARK",
    "VULGAR FRACTION ONE QUARTER",
    "VULGAR FRACTION ONE HALF",
    "VULGAR FRACTION THREE QUARTERS",
    "INVERTED QUESTION MARK",
    "CAPITAL LETTER A WITH GRAVE ACCENT",
    "CAPITAL LETTER A WITH ACUTE ACCENT",
    "CAPITAL LETTER A WITH CIRCUMFLEX ACCENT",
    "CAPITAL LETTER A WITH TILDE",
    "CAPITAL LETTER A WITH DIAERESIS",
    "CAPITAL LETTER A WITH RING ABOVE",
    "CAPITAL DIPHTHONG A WITH E",
    "CAPITAL LETTER C WITH CEDILLA",
    "CAPITAL LETTER E WITH GRAVE ACCENT",
    "CAPITAL LETTER E WITH ACUTE ACCENT",
    "CAPITAL LETTER E WITH CIRCUMFLEX ACCENT",
    "CAPITAL LETTER E WITH DIAERESIS",
    "CAPITAL LETTER I WITH GRAVE ACCENT",
    "CAPITAL LETTER I WITH ACUTE ACCENT",
    "CAPITAL LETTER I WITH CIRCUMFLEX ACCENT",
    "CAPITAL LETTER I WITH DIAERESIS",
    "CAPITAL ICELANDIC LETTER ETH",
    "CAPITAL LETTER N WITH TILDE",
    "CAPITAL LETTER O WITH GRAVE ACCENT",
    "CAPITAL LETTER O WITH ACUTE ACCENT",
    "CAPITAL LETTER O WITH CIRCUMFLEX ACCENT",
    "CAPITAL LETTER O WITH TILDE",
    "CAPITAL LETTER O WITH DIAERESIS",
    "MULTIPLICATION SIGN",
    "CAPITAL LETTER O WITH OBLIQUE STROKE",
    "CAPITAL LETTER U WITH GRAVE ACCENT",
    "CAPITAL LETTER U WITH ACUTE ACCENT",
    "CAPITAL LETTER U WITH CIRCUMFLEX ACCENT",
    "CAPITAL LETTER U WITH DIAERESIS",
    "CAPITAL LETTER Y WITH ACUTE ACCENT",
    "CAPITAL ICELANDIC LETTER THORN",
    "SMALL GERMAN LETTER SHARP s",
    "SMALL LETTER a WITH GRAVE ACCENT",
    "SMALL LETTER a WITH ACUTE ACCENT",
    "SMALL LETTER a WITH CIRCUMFLEX ACCENT",
    "SMALL LETTER a WITH TILDE",
    "SMALL LETTER a WITH DIAERESIS",
    "SMALL LETTER a WITH RING ABOVE",
    "SMALL DIPHTHONG a WITH e",
    "SMALL LETTER c WITH CEDILLA",
    "SMALL LETTER e WITH GRAVE ACCENT",
    "SMALL LETTER e WITH ACUTE ACCENT",
    "SMALL LETTER e WITH CIRCUMFLEX ACCENT",
    "SMALL LETTER e WITH DIAERESIS",
    "SMALL LETTER i WITH GRAVE ACCENT",
    "SMALL LETTER i WITH ACUTE ACCENT",
    "SMALL LETTER i WITH CIRCUMFLEX ACCENT",
    "SMALL LETTER i WITH DIAERESIS",
    "SMALL ICELANDIC LETTER eth",
    "SMALL LETTER n WITH TILDE",
    "SMALL LETTER o WITH GRAVE ACCENT",
    "SMALL LETTER o WITH ACUTE ACCENT",
    "SMALL LETTER o WITH CIRCUMFLEX ACCENT",
    "SMALL LETTER o WITH TILDE",
    "SMALL LETTER o WITH DIAERESIS",
    "DIVISION SIGN",
    "SMALL LETTER o WITH OBLIQUE STROKE",
    "SMALL LETTER u WITH GRAVE ACCENT",
    "SMALL LETTER u WITH ACUTE ACCENT",
    "SMALL LETTER u WITH CIRCUMFLEX ACCENT",
    "SMALL LETTER u WITH DIAERESIS",
    "SMALL LETTER y WITH ACUTE ACCENT",
    "SMALL ICELANDIC LETTER THORN",
    "SMALL LETTER y WITH DIAERESIS",
};

main() {
    int i, j;
    printf("ISO 8859-1 Latin Alphabet 1\n");
    printf("char dec col/row oct hex  description\n");
    for (i = 160; i < 256; i++) {
	j = i - 160;
	printf("[%c]  %3d  %02d/%02d  %3o  %2X  %s\n",
	       i, i, i/16, i%16, i, i, name[j]);
    }
}
